Get a Conversation
curl --request GET \
--url https://api.monaco.com/v1/conversations/{conversation_id}import requests
url = "https://api.monaco.com/v1/conversations/{conversation_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monaco.com/v1/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monaco.com/v1/conversations/{conversation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monaco.com/v1/conversations/{conversation_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monaco.com/v1/conversations/{conversation_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monaco.com/v1/conversations/{conversation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"id": "thread_abc123",
"channel": "email",
"subject": "Demo follow-up",
"participants": [
{
"name": "Jane Smith",
"email": "jane@acme.com",
"contact_id": "con_abc123",
"company_name": "Acme Inc",
"is_current_user": false
},
{
"name": "John Doe",
"email": "john@monaco.com",
"is_current_user": true
}
],
"account_id": "acc_abc123",
"messages": [
{
"id": "msg_abc123",
"channel": "email",
"sender": {
"name": "Jane Smith",
"email": "jane@acme.com"
},
"to": [
{
"name": "John Doe",
"email": "john@monaco.com"
}
],
"subject": "Demo follow-up",
"body": "Thanks for the demo yesterday...",
"body_truncated": false,
"timestamp": "2026-03-01T10:00:00Z"
}
],
"message_pagination": {
"page": 1,
"page_size": 20,
"total_count": 1,
"total_pages": 1
}
},
"meta": {
"timestamp": "2026-04-21T12:00:00Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}Conversations
Get a Conversation
Gets the full ordered thread for a single email or LinkedIn conversation.
Message bodies are plain text (HTML emails are converted) and truncated past 20,000 characters.
GET
/
v1
/
conversations
/
{conversation_id}
Get a Conversation
curl --request GET \
--url https://api.monaco.com/v1/conversations/{conversation_id}import requests
url = "https://api.monaco.com/v1/conversations/{conversation_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.monaco.com/v1/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.monaco.com/v1/conversations/{conversation_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.monaco.com/v1/conversations/{conversation_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.monaco.com/v1/conversations/{conversation_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.monaco.com/v1/conversations/{conversation_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"data": {
"id": "thread_abc123",
"channel": "email",
"subject": "Demo follow-up",
"participants": [
{
"name": "Jane Smith",
"email": "jane@acme.com",
"contact_id": "con_abc123",
"company_name": "Acme Inc",
"is_current_user": false
},
{
"name": "John Doe",
"email": "john@monaco.com",
"is_current_user": true
}
],
"account_id": "acc_abc123",
"messages": [
{
"id": "msg_abc123",
"channel": "email",
"sender": {
"name": "Jane Smith",
"email": "jane@acme.com"
},
"to": [
{
"name": "John Doe",
"email": "john@monaco.com"
}
],
"subject": "Demo follow-up",
"body": "Thanks for the demo yesterday...",
"body_truncated": false,
"timestamp": "2026-03-01T10:00:00Z"
}
],
"message_pagination": {
"page": 1,
"page_size": 20,
"total_count": 1,
"total_pages": 1
}
},
"meta": {
"timestamp": "2026-04-21T12:00:00Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found"
}
}Path Parameters
Conversation to fetch: the email thread_id or the LinkedIn chat_id
Query Parameters
Channel of the conversation; must match conversation_id
Available options:
email, linkedin Page number of messages within the thread
Required range:
x >= 1Number of messages per page
Required range:
1 <= x <= 100